import { action, makeObservable, observable } from "mobx";
import store from "store";
import { RootStore } from "./RootStore";

export class AuthStore {
    @observable token: string = '';

    constructor(private readonly rootStore: RootStore) {
        makeObservable(this);
        this.token = store.get('token', '')
    }

    @action setToken(token: string) {
        this.token = token;
        store.set('token', this.token)
    }
}
