import { Container } from "inversify";
import { AuthStore } from "./AuthStore";
import { UIStore } from "./UIStore";

export class RootStore {
    container: Container = new Container();
    authStore: AuthStore = new AuthStore(this);
    uiStore: UIStore = new UIStore(this);

    constructor() {
        this.container.bind(AuthStore).toConstantValue(this.authStore);
        this.container.bind(UIStore).toConstantValue(this.uiStore);
    }
}
